cascading.tap.hadoop.io

## Class StreamedFileSystem

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.fs.FileSystem
    - - cascading.tap.hadoop.io.StreamedFileSystem

All Implemented Interfaces:
  Closeable, AutoCloseable, org.apache.hadoop.conf.Configurable

Direct Known Subclasses:
  HttpFileSystem

    public abstract class StreamedFileSystem
    extends org.apache.hadoop.fs.FileSystem

Class StreamedFileSystem is a base class for `FileSystem` implementations that manage remote resources.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem

`org.apache.hadoop.fs.FileSystem.Statistics`

### Field Summary

### Fields inherited from class org.apache.hadoop.fs.FileSystem

`FS_DEFAULT_NAME_KEY, LOG, statistics`

### Constructor Summary

Constructors
Constructor and Description
`StreamedFileSystem()`

### Method Summary

Methods
`org.apache.hadoop.fs.FSDataOutputStream` `append(org.apache.hadoop.fs.Path f, int bufferSize, org.apache.hadoop.util.Progressable progress)`
`org.apache.hadoop.fs.FSDataOutputStream` `create(org.apache.hadoop.fs.Path path, org.apache.hadoop.fs.permission.FsPermission permission, boolean overwrite, int bufferSize, short replication, long blockSize, org.apache.hadoop.util.Progressable progress)`
`boolean` `delete(org.apache.hadoop.fs.Path path)` Deprecated.
`boolean` `delete(org.apache.hadoop.fs.Path path, boolean b)`
`static String` `getMD5SumFor(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path path)`
`static String` `getMD5SumFor(org.apache.hadoop.conf.Configuration conf, String path)`
`org.apache.hadoop.fs.Path` `getWorkingDirectory()`
`org.apache.hadoop.fs.FileStatus[]` `listStatus(org.apache.hadoop.fs.Path path)`
`boolean` `mkdirs(org.apache.hadoop.fs.Path path, org.apache.hadoop.fs.permission.FsPermission fsPermission)`
`boolean` `rename(org.apache.hadoop.fs.Path path, org.apache.hadoop.fs.Path path1)`
`static void` `setMD5SumFor(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path path, String md5Hex)`
`static void` `setMD5SumFor(org.apache.hadoop.conf.Configuration conf, String path, String md5Hex)`
`void` `setWorkingDirectory(org.apache.hadoop.fs.Path f)`

### Methods inherited from class org.apache.hadoop.fs.FileSystem

`addFileSystemForTesting, append, append, checkPath, clearStatistics, close, closeAll, closeAllForUGI, completeLocalOutput, concat, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, createNewFile, createNonRecursive, createNonRecursive, deleteOnExit, exists, get, get, get, getAllStatistics, getBlockSize, getCacheSize, getCanonicalServiceName, getCanonicalUri, getContentSummary, getDefaultBlockSize, getDefaultBlockSize, getDefaultPort, getDefaultReplication, getDefaultReplication, getDefaultUri, getDelegationToken, getFileBlockLocations, getFileChecksum, getFileStatus, getHomeDirectory, getLength, getLocal, getName, getNamed, getReplication, getStatistics, getStatistics, getUri, getUsed, globStatus, globStatus, initialize, isDirectory, isFile, listStatus, listStatus, listStatus, makeQualified, mkdirs, mkdirs, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, open, open, printStatistics, processDeleteOnExit, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, startLocalOutput`

### Methods inherited from class org.apache.hadoop.conf.Configured

`getConf, setConf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamedFileSystem

    public StreamedFileSystem()

### Method Detail

#### create

    public org.apache.hadoop.fs.FSDataOutputStream create(org.apache.hadoop.fs.Path path,
                                                 org.apache.hadoop.fs.permission.FsPermission permission,
                                                 boolean overwrite,
                                                 int bufferSize,
                                                 short replication,
                                                 long blockSize,
                                                 org.apache.hadoop.util.Progressable progress)
                                                   throws IOException

Specified by:
  `create` in class `org.apache.hadoop.fs.FileSystem`
Throws:
  `IOException`

#### rename

    public boolean rename(org.apache.hadoop.fs.Path path,
                 org.apache.hadoop.fs.Path path1)
                   throws IOException

Specified by:
  `rename` in class `org.apache.hadoop.fs.FileSystem`
Throws:
  `IOException`

#### delete

    @Deprecated
    public boolean delete(org.apache.hadoop.fs.Path path)
                   throws IOException

Deprecated.

Specified by:
  `delete` in class `org.apache.hadoop.fs.FileSystem`
Throws:
  `IOException`

#### delete

    public boolean delete(org.apache.hadoop.fs.Path path,
                 boolean b)
                   throws IOException

Specified by:
  `delete` in class `org.apache.hadoop.fs.FileSystem`
Throws:
  `IOException`

#### getWorkingDirectory

    public org.apache.hadoop.fs.Path getWorkingDirectory()

Specified by:
  `getWorkingDirectory` in class `org.apache.hadoop.fs.FileSystem`

#### setWorkingDirectory

    public void setWorkingDirectory(org.apache.hadoop.fs.Path f)

Specified by:
  `setWorkingDirectory` in class `org.apache.hadoop.fs.FileSystem`

#### mkdirs

    public boolean mkdirs(org.apache.hadoop.fs.Path path,
                 org.apache.hadoop.fs.permission.FsPermission fsPermission)
                   throws IOException

Specified by:
  `mkdirs` in class `org.apache.hadoop.fs.FileSystem`
Throws:
  `IOException`

#### listStatus

    public org.apache.hadoop.fs.FileStatus[] listStatus(org.apache.hadoop.fs.Path path)
                                                 throws IOException

Specified by:
  `listStatus` in class `org.apache.hadoop.fs.FileSystem`
Throws:
  `IOException`

#### append

    public org.apache.hadoop.fs.FSDataOutputStream append(org.apache.hadoop.fs.Path f,
                                                 int bufferSize,
                                                 org.apache.hadoop.util.Progressable progress)
                                                   throws IOException

Specified by:
  `append` in class `org.apache.hadoop.fs.FileSystem`
Throws:
  `IOException`

#### getMD5SumFor

    public static String getMD5SumFor(org.apache.hadoop.conf.Configuration conf,
                      org.apache.hadoop.fs.Path path)

#### getMD5SumFor

    public static String getMD5SumFor(org.apache.hadoop.conf.Configuration conf,
                      String path)

#### setMD5SumFor

    public static void setMD5SumFor(org.apache.hadoop.conf.Configuration conf,
                    org.apache.hadoop.fs.Path path,
                    String md5Hex)

#### setMD5SumFor

    public static void setMD5SumFor(org.apache.hadoop.conf.Configuration conf,
                    String path,
                    String md5Hex)